//Classes
Horse horse;
GunBarrel gunbarrel;

//Sound
import ddf.minim.*;
Minim minim;
AudioPlayer theme;
AudioPlayer gunshot;

//Images
PImage horseBond;
PImage gunBarrel;

void setup() {
  size(960, 512);
  println("The name is Bond... Horse Bond");
  
  //Horse image
  horseBond = loadImage("bond-horse-bond.png");
  
  //Gun barrel image
  gunBarrel = loadImage("gun-barrel.png");
  
  //Horse class
  horse = new Horse(width,height/2);
  
  //Sound
  minim = new Minim(this);
  theme = minim.loadFile("bond-theme-loop.wav");
  gunshot = minim.loadFile("gunshot.wav");
  theme.loop();
}

void draw () {
  background(255);
  
  //Gun barrel class
  gunbarrel = new GunBarrel(mouseX,mouseY);
  
  //Horse move
  horse.move();
  
  //Gun barrel aim
  gunbarrel.aim();
}

void mouseClicked() {
  gunshot.pause();
  gunshot.play();
  theme.pause();
}

